Subject: bug#23985: Emacs 25.0.94: FEATURE ADDITION: Texinfo environment movement commands

From: Robert Weiner <[email-masked]>
Date: Thu, 14 Jul 2016 12:19:46 -0400

The attached patch adds movement commands for texinfo-mode that move
between the start and end of single-level environments (things that
end with an @end line), e.g. @table.

    (define-key map "\C-c."        'texinfo-to-environment-bounds) -
when within an environment, moves between the start and end lines

    (define-key map "\C-c\C-c\C-f" 'texinfo-next-environment-end) -
from anywhere, moves to the next end line of an environment

    (define-key map "\C-c\C-c\C-b" 'texinfo-previous-environment-end)
- from anywhere, moves to the previous end line of an environment

    (define-key map "\C-c\C-c\C-n" 'texinfo-next-environment-start) -
from anywhere, moves to the next start line of an environment

    (define-key map "\C-c\C-c\C-p"
'texinfo-previous-environment-start) - from anywhere, moves to the
previous start line of an environment

See attached for the patch.